<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1OptimisedUtil.html">OptimisedUtil</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::OptimisedUtil Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#abf6a2bcd2039d05d83671e2da3140112">_detectImplementation</a>(void)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a7fa20b34357e375a489383f0ccb4a15c">calculateFaceNormals</a>(const float *positions, const EdgeData::Triangle *triangles, Vector4 *faceNormals, size_t numTriangles)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a9270e6273fcf190d039030bd5de1df2f">calculateLightFacing</a>(const Vector4 &amp;lightPos, const Vector4 *faceNormals, char *lightFacings, size_t numFaces)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a45b0aaad519e4cace9ca37124f4e646d">concatenateAffineMatrices</a>(const Matrix4 &amp;baseMatrix, const Matrix4 *srcMatrices, Matrix4 *dstMatrices, size_t numMatrices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a5b411cfc1b916483d75df4f4f9c86252">extrudeVertices</a>(const Vector4 &amp;lightPos, Real extrudeDist, const float *srcPositions, float *destPositions, size_t numVertices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#aec3039ddfa064375bb4065a4415a8eda">getImplementation</a>(void)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#af1214c854c521f84997b5ddf77f1a3a5">msImplementation</a></td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#ae8975dc2a98c5ae3eb511e8a0336e51e">operator=</a>(const OptimisedUtil &amp;rhs)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#acd57a62f0ea9db4ef52b4d39d83fd019">OptimisedUtil</a>(const OptimisedUtil &amp;rhs)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a4f137d0ced0f82abd042d9b4eb99b105">OptimisedUtil</a>(void)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a431efac44c070695de7011243b13b7af">softwareVertexMorph</a>(Real t, const float *srcPos1, const float *srcPos2, float *dstPos, size_t pos1VSize, size_t pos2VSize, size_t dstVSize, size_t numVertices, bool morphNormals)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a69ac35f1a13aa95e2352d0fbbbb204b9">softwareVertexSkinning</a>(const float *srcPosPtr, float *destPosPtr, const float *srcNormPtr, float *destNormPtr, const float *blendWeightPtr, const unsigned char *blendIndexPtr, const Matrix4 *const *blendMatrices, size_t srcPosStride, size_t destPosStride, size_t srcNormStride, size_t destNormStride, size_t blendWeightStride, size_t blendIndexStride, size_t numWeightsPerVertex, size_t numVertices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#a7d548511ecbd6b39d6d1689ce30db8f2">~OptimisedUtil</a>()</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
